#[cfg(test)]
mod tests {
    use crate::compression_engine::none::CompressionEngineNone;
    use crate::tests::common::test_helpers::test_compression_engine;

    #[test]
    fn test_compression_engine_none() {
        let test_data = b"test compression data";
        let engine = CompressionEngineNone {};
        test_compression_engine(&engine, test_data);
    }

    #[test]
    fn test_compression_engine_none_empty_data() {
        let test_data = b"";
        let engine = CompressionEngineNone {};
        test_compression_engine(&engine, test_data);
    }
}
